use crate::handlers;
use axum::{routing::get, Router};
use leptos_config::LeptosOptions;
use std::sync::Arc;

pub fn api_routes() -> Router<Arc<LeptosOptions>> {
    Router::new()
        .route("/api/test", get(handlers::test_handler))
        .with_state(())
}

pub fn create_server_routes(_leptos_options: Arc<LeptosOptions>) -> Router<Arc<LeptosOptions>> {
    Router::new().merge(api_routes())
}
